Show / Hide Table of Contents

# Enum LogSeverity

Specifies the severity of the log message.

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public enum LogSeverity

### Fields

Name | Description
--- | ---
Critical | Logs that contain the most severe level of error. This type of error indicate that immediate attention may be required.
Debug | Logs that contain the most detailed messages.
Error | Logs that highlight when the flow of execution is stopped due to a failure.
Info | Logs that track the general flow of the application.
Verbose | Logs that are used for interactive investigation during development.
Warning | Logs that highlight an abnormal activity in the flow of execution.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()